Home | All Classes | Grouped Classes | Index | Search

# Class CL_Endian

Endianess management class. More...

Derived from: none
Derived by: none
Group: Core (I/O Data)

#include <ClanLib/core.h>

Operations:

swap | Swaps larger amounts of data between little and big endian.

Attributes:

is_system_big | Returns true if big endian system.
is_system_64bit | Returns true if 64 bit system.

Detailed description:

!group=Core/IO Data! !header=core.h!

The CL_Endian class is used to convert between different endianess. There are also a set of defines to the lazy developer:

#define SWAP_IF_BIG(i)
#define SWAP_IF_LITTLE(i)
#define SWAP_IF_BIG_ALOT(i, times)
#define SWAP_IF_LITTLE_ALOT(i, times)
#define IS_SYSTEM_64BIT()

Each of these defines call CL_Endian::is_system_big() and CL_Endian::swap.

Questions or comments, write to the ClanLib mailing list.